net.sf.jasperreports.engine.base

## Class JRBaseField

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBaseField

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRChangeEventsSupport, JRCloneable, JRField, JRPropertiesHolder
  Direct Known Subclasses:
    JRDesignField

      public class JRBaseField
      extends java.lang.Object
      implements JRField, java.io.Serializable, JRChangeEventsSupport

  Version:
    $Id: JRBaseField.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `description`
    `protected java.lang.String` | `name`
    `protected JRPropertiesMap` | `propertiesMap`
    `static java.lang.String` | `PROPERTY_DESCRIPTION`
    `protected java.lang.Class<?>` | `valueClass`
    `protected java.lang.String` | `valueClassName`
    `protected java.lang.String` | `valueClassRealName`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JRBaseField()`
    `protected` | `JRBaseField(JRField field, JRBaseObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `java.lang.String` | `getDescription()` Gets the field optional description.
    `JRPropertyChangeSupport` | `getEventSupport()` Returns the property change support object for this instance.
    `java.lang.String` | `getName()` Gets the field unique name.
    `JRPropertiesHolder` | `getParentProperties()` Returns the parent properties holder, whose properties are used as defaults for this object.
    `JRPropertiesMap` | `getPropertiesMap()` Returns this object's properties map.
    `java.lang.Class<?>` | `getValueClass()` Gets the field value class.
    `java.lang.String` | `getValueClassName()` Gets the field value class name.
    `boolean` | `hasProperties()` Checks whether the object has any properties.
    `void` | `setDescription(java.lang.String description)` Sets the field description.

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_DESCRIPTION

          public static final java.lang.String PROPERTY_DESCRIPTION

      See Also:
        Constant Field Values

    - #### name

          protected java.lang.String name

    - #### description

          protected java.lang.String description

    - #### valueClassName

          protected java.lang.String valueClassName

    - #### valueClassRealName

          protected java.lang.String valueClassRealName

    - #### valueClass

          protected transient java.lang.Class<?> valueClass

    - #### propertiesMap

          protected JRPropertiesMap propertiesMap

  - ### Constructor Detail

    - #### JRBaseField

          protected JRBaseField()

    - #### JRBaseField

          protected JRBaseField(JRField field,
                     JRBaseObjectFactory factory)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Description copied from interface: `JRField`
      Gets the field unique name.
      Specified by:
        `getName` in interface `JRField`

    - #### getDescription

          public java.lang.String getDescription()

      Description copied from interface: `JRField`
      Gets the field optional description.
      Specified by:
        `getDescription` in interface `JRField`

    - #### setDescription

          public void setDescription(java.lang.String description)

      Description copied from interface: `JRField`
      Sets the field description.
      Specified by:
        `setDescription` in interface `JRField`

    - #### getValueClass

          public java.lang.Class<?> getValueClass()

      Description copied from interface: `JRField`
      Gets the field value class. Field types cannot be primitives.
      Specified by:
        `getValueClass` in interface `JRField`

    - #### getValueClassName

          public java.lang.String getValueClassName()

      Description copied from interface: `JRField`
      Gets the field value class name.
      Specified by:
        `getValueClassName` in interface `JRField`

    - #### hasProperties

          public boolean hasProperties()

      Description copied from interface: `JRPropertiesHolder`
      Checks whether the object has any properties.
      Specified by:
        `hasProperties` in interface `JRPropertiesHolder`
      Returns:
        whether the object has any properties

    - #### getPropertiesMap

          public JRPropertiesMap getPropertiesMap()

      Description copied from interface: `JRPropertiesHolder`
      Returns this object's properties map.
      Specified by:
        `getPropertiesMap` in interface `JRPropertiesHolder`
      Returns:
        this object's properties map

    - #### getParentProperties

          public JRPropertiesHolder getParentProperties()

      Description copied from interface: `JRPropertiesHolder`
      Returns the parent properties holder, whose properties are used as defaults for this object.
      Specified by:
        `getParentProperties` in interface `JRPropertiesHolder`
      Returns:
        the parent properties holder, or `null` if no parent

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `java.lang.Object`

    - #### getEventSupport

          public JRPropertyChangeSupport getEventSupport()

      Description copied from interface: `JRChangeEventsSupport`
      Returns the property change support object for this instance.
      Specified by:
        `getEventSupport` in interface `JRChangeEventsSupport`
      Returns:
        the property change support object for this instance

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com